Add a market to a warehouse
Creates an association between a specific market and warehouse, allowing the warehouse to serve that market’s customers.
PUT
/api/v1/{team_slug}/{app_slug}/warehouses/{warehouse_slug}/market/{market_slug}Authorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
warehouse_slugstringrequiredWarehouse slug
market_slugstringrequiredMarket slug
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Responses
200
Updated warehouse data
datainternal_pkg_webserver_v1.WarehouseWithMarketsrequiredShow propertiesHide properties
addressinternal_pkg_webserver_v1.WarehouseAddress | nullShow propertiesHide properties
Any of:
internal_pkg_webserver_v1.WarehouseAddress
citystringcountrystringrequiredCountry value needs to follow ISO3166_1_alpha2, which means we want a country value written in alpha-2 two-letter country codes, Example: SE or FI
postal_codestringstatestringstreet_addressstringnull
nullapp_idstringavailable_onlinebooleancreated_atstringidstringmarketsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Market[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Marketactivebooleancountry_codesstring[] | nullcreated_atstringcurrency_codestringidstringlocalestringnamestringslugstringupdated_atstring | nullnamestringslugstringupdated_atstring | nulldetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request (e.g. bad UUID, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired